Subject: personal walkaround before upstream fix

From: "R.W.Flurando" <[email-masked]>
Date: Fri, 18 Apr 2025 15:02:48 +0800

after trying a lot and compiling a bunch withmy 10y ago pc
I got a walkaround with patches and custom package definition
for those who wanna check, see
> https://codeberg.org/rw-flurando/Dotfile
in the package/guile-xyz/ folder
basically speaking, I changed the (init-config) procedure
in the artanis/config.scm
to check the place where guix put profiles
at a path like /home/bob/.guix-profile/etc/artanis.conf
(no idea if installing the patched artanis with guix home profile would
work or not because I haven't experiment yet)
also, for minimal mode, we have to disable i18n
since init-i18n would assume there is a sys/json or similar folder in
the current working directory, which is unrealistic for minimal mode
so the second patch is to add a switch in init-server to skip the call
to init-i18n
now, with this walkaround, artanis works well in minimal mode
as long as I call (init-server #:i18n? #f) instead of (init-server)
need further experiment to check whether the normal behaviour without
these two patches are influnced and whether installing in the home
profile instead of package list works as well
feel free to inform better solution or reach codeberg.org to see my
dotfile repo.
Have a nice day!